## kmymoney 4.6.4

=== CMakeLists.txt ===
# Setting the name of the main project
PROJECT(KMyMoney)

# The CMake version we require
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)

# cmake 2.6 proposed to add this policy
if(COMMAND cmake_policy)
  if(POLICY CMP0017)
    cmake_policy(SET CMP0017 NEW)
  endif(POLICY CMP0017)
  cmake_policy(SET CMP0003 NEW)
  # until the createtarball script generates different custom targets
  # for the various translations, we need to keep the following setting
  # http://www.vtkedge.org/Wiki/CMake_Policies#Setting_Policies_Individually
  # has an explanation of the problem
  cmake_policy(SET CMP0002 OLD)
endif(COMMAND cmake_policy)

# Our modules reside in the subdirectory cmake/modules/
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

######################### KMyMoney Version ##########################

# The current version of KMyMoney (used for packages and config.h)
SET(VERSION_MAJOR "4")
SET(VERSION_MINOR "6")
SET(VERSION_PATCH "4")

# Determine the SVN revision number (if we're based on SVN)
IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)
  # make sure we don't use translated messages here
  SET(LANG $ENV{LANG})
  SET(ENV{LANG} "C")
  EXECUTE_PROCESS(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR} OUTPUT_VARIABLE VERSION_SUFFIX)
  STRING(REGEX MATCH "Revision: ([0-9]+)" VERSION_SUFFIX "${VERSION_SUFFIX}") 
  STRING(REPLACE "Revision: " "" VERSION_SUFFIX "${VERSION_SUFFIX}")
  SET(VERSION_SUFFIX "-svn${VERSION_SUFFIX}")
  # switch back to the original language setting
  SET(ENV{LANG} ${LANG})
ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)

######################### General Requirements ##########################

# setup default CMAKE_INSTALL_PREFIX before calling FIND_PACKAGE(KDE4)
# see https://bugs.kde.org/show_bug.cgi?id=261132
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  execute_process(COMMAND kde4-config --prefix COMMAND tr -d "\n" OUTPUT_VARIABLE KDE4_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "${KDE4_INSTALL_PREFIX}" CACHE PATH
    "KMyMoney install prefix defaults to the KDE4 install prefix: ${KDE4_INSTALL_PREFIX}" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

FIND_PACKAGE(KDE4 4.3.5 REQUIRED)

include( KDE4Defaults )
include( MacroLibrary )
include( KMyMoneyMacros )
# needed by libkgpgfile
if (WIN32)
  find_package(Boost "1.33.1")
else (WIN32)
  find_package(Boost "1.33.1" COMPONENTS graph)
endif (WIN32)
# needed by libkgpgfile
find_package(QGpgme REQUIRED)
find_package(KdepimLibs REQUIRED)
find_package(SharedMimeInfo REQUIRED)

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
  add_definitions (-DQT_STRICT_ITERATORS)
  set(KMM_DEBUG 1)
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

# check for Doxygen
FIND_PACKAGE(Doxygen)
IF(DOXYGEN_FOUND)
  SET(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  MAKE_DIRECTORY(${APIDOC_DIR})

  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/kmymoney.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen IMMEDIATE)

  ADD_CUSTOM_TARGET(apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen)
ENDIF(DOXYGEN_FOUND)

FIND_PACKAGE(GMP REQUIRED)
FIND_PACKAGE(LibAlkimia 4.3.1 REQUIRED)

# check for PkgConfig
FIND_PACKAGE(PkgConfig)
# check for some modules we require
pkg_check_modules (PKGS libxml-2.0 libxml++-2.6 glib-2.0 glibmm-2.4)
# this sets variables like ${PKGS_INCLUDE_DIRS} ${PKGS_LIBRARY_DIRS}
# (cf. /usr/share/cmake/Modules/FindPkgConfig.cmake for more info)

# check some functions
INCLUDE (CheckFunctionExists) 
CHECK_FUNCTION_EXISTS(atoll HAVE_ATOLL)

IF(NOT WIN32)
    SET(CMAKE_REQUIRED_FLAGS "-std=c99")
    SET(CMAKE_REQUIRED_LIBRARIES m)
ENDIF(NOT WIN32)
CHECK_FUNCTION_EXISTS(round HAVE_ROUND)

# check for function in header
INCLUDE(CheckSymbolExists)
SET(CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=500 -D_BSD_SOURCE)

# check some include files exists
INCLUDE (CheckIncludeFile)
CHECK_INCLUDE_FILE("stdint.h" HAVE_STDINT_H)
CHECK_INCLUDE_FILE("sys/types.h" HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)

#check sizes. Will be written to config.h
INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE(char* SIZEOF_CHAR_P)
CHECK_TYPE_SIZE(int SIZEOF_INT)
CHECK_TYPE_SIZE(long SIZEOF_LONG)
CHECK_TYPE_SIZE(short SIZEOF_SHORT)
CHECK_TYPE_SIZE(size_t SIZEOF_SIZE_T)
CHECK_TYPE_SIZE("unsigned long" SIZEOF_UNSIGNED_LONG)
CHECK_TYPE_SIZE("long double" SIZEOF_LONG_DOUBLE)

MARK_AS_ADVANCED(
  KDE4_KCFGC_EXECUTABLE KDE4_KDECORE_LIBRARY KDECONFIG_EXECUTABLE)

######################### Special Requirements ##########################

# This is needed for QtSqlite and QtDesigner
# (they'll install files to ${QT_INSTALL_DIR}/plugins/)
GET_FILENAME_COMPONENT(QT_BIN_DIR ${QT_MOC_EXECUTABLE} PATH)
GET_FILENAME_COMPONENT(QT_DIR     ${QT_BIN_DIR}        PATH)
SET(QT_INSTALL_DIR ${QT_DIR} CACHE PATH
  "Qt install prefix defaults to the Qt prefix: ${QT_DIR}")


# check for optional OFX support
SET(LIBOFX_DEFAULT "AUTO")
IF(DEFINED ENABLE_LIBOFX)
  SET(LIBOFX_DEFAULT ${ENABLE_LIBOFX})
ENDIF(DEFINED ENABLE_LIBOFX)
OPTION(ENABLE_LIBOFX "Enable OFX plugin" ON)
IF(ENABLE_LIBOFX)
  FIND_PACKAGE(LibOfx)
  IF(NOT LIBOFX_FOUND)
    IF(NOT LIBOFX_DEFAULT STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "LibOFX not found")
    ENDIF(NOT LIBOFX_DEFAULT STREQUAL "AUTO")
    SET(ENABLE_LIBOFX OFF CACHE BOOL "Enable OFX plugin" FORCE)
  ENDIF(NOT LIBOFX_FOUND)
ENDIF(ENABLE_LIBOFX)

# check for optional KBanking support
SET(KBANKING_FOUND "AUTO")
MARK_AS_ADVANCED(KBANKING_FOUND)
IF(DEFINED ENABLE_KBANKING)
  SET(KBANKING_FOUND OFF)
ENDIF(DEFINED ENABLE_KBANKING)
OPTION(ENABLE_KBANKING "Enable KBanking plugin" ON)
IF(ENABLE_KBANKING)
  FIND_PACKAGE(Gwenhywfar)
  FIND_PACKAGE(AqBanking)
  IF (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
    SET(KBANKING_FOUND ON)
  ELSE (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
    IF(NOT KBANKING_FOUND STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "KBanking requirements not met")
    ENDIF(NOT KBANKING_FOUND STREQUAL "AUTO")
    SET(KBANKING_FOUND OFF)
    SET(ENABLE_KBANKING OFF CACHE BOOL "Enable KBanking plugin" FORCE)
  ENDIF (AQBANKING_FOUND AND GWENHYWFAR_FOUND)
ENDIF(ENABLE_KBANKING)

# check for optional ical support
SET(LIBICAL_DEFAULT "AUTO")
IF(DEFINED ENABLE_LIBICAL)
  SET(LIBICAL_DEFAULT ${ENABLE_LIBICAL})
ENDIF(DEFINED ENABLE_LIBICAL)
OPTION(ENABLE_LIBICAL "Enable Calendar plugin" ON)
IF(ENABLE_LIBICAL)
  FIND_PACKAGE(Libical)
  IF(NOT LIBICAL_FOUND)
    IF(NOT LIBICAL_DEFAULT STREQUAL "AUTO")
      MESSAGE(FATAL_ERROR "LIBICAL not found")
    ENDIF(NOT LIBICAL_DEFAULT STREQUAL "AUTO")
    SET(ENABLE_LIBICAL OFF CACHE BOOL "Enable Calendar plugin" FORCE)
  ENDIF(NOT LIBICAL_FOUND)
ENDIF(ENABLE_LIBICAL)

# do we build the tests?
IF( KDE4_BUILD_TESTS )
  # INCLUDE(CTest) # (makes sense only with a ctest online dashboard)
  ENABLE_TESTING()
ENDIF( KDE4_BUILD_TESTS )

######################### Settings ##########################

# If no build type is set, use "Release with Debug Info"
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
  "Choose the type of build.
Possible values are: 'Release' 'RelWithDebInfo' 'Debug' 'Debugfull' 'Profile'
The default value is: 'RelWithDebInfo'" FORCE)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

# tell the KMyMoney sources that a config.h is present:
ADD_DEFINITIONS( -DHAVE_CONFIG_H )

# preprocessor definitions in case this is a debug build
STRING(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
IF(${CMAKE_BUILD_TYPE_TOLOWER} MATCHES "^debug(full)?$|^profile$")
  ADD_DEFINITIONS( -DKMM_DEBUG )
ENDIF()

# tells gcc to enable exception handling
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

IF(CMAKE_SYSTEM_NAME MATCHES Linux)
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
ENDIF(CMAKE_SYSTEM_NAME MATCHES Linux)

IF(NOT WIN32)
  # use position independent code
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
ENDIF(NOT WIN32)
IF(NOT MSVC)
  # be more pedantic about common symbols
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-common")

  # Debug, Debugfull, Profile
  SET(CMAKE_CXX_FLAGS_DEBUG
    "-g -O2 -fno-reorder-blocks -fno-schedule-insns -fno-inline")
  SET(CMAKE_CXX_FLAGS_DEBUGFULL
    "-g3 -fno-inline")
  SET(CMAKE_CXX_FLAGS_PROFILE
    "-g3 -fno-inline -ftest-coverage -fprofile-arcs")

  # be pedantic about undefined symbols when linking shared libraries
  IF(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME MATCHES kFreeBSD OR CMAKE_SYSTEM_NAME STREQUAL GNU)
    SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined -Wl,--as-needed")
  ENDIF(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME MATCHES kFreeBSD OR CMAKE_SYSTEM_NAME STREQUAL GNU)
ENDIF(NOT MSVC)

OPTION(USE_QT_DESIGNER
  "Install KMyMoney specific widget library for Qt-Designer (default=OFF)" OFF)

OPTION(USE_DEVELOPER_DOC
  "Install KMyMoney specific developer documentation (default=OFF)" OFF)

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/doc")
  OPTION(USE_HTML_HANDBOOK
    "Generate KMyMoney manual in HTML format (default=OFF)" OFF)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/doc")

# remark: these directories are used to find libs and .h files.
# they are set globally after this point. no need to add everywhere.
LINK_DIRECTORIES( ${KDE4_LIB_DIR} )
INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDE_DIR}
  ${PKGS_INCLUDE_DIRS})


# Generation of the HTML version of the manual
IF(USE_HTML_HANDBOOK)
  # to be done. See KDE4Macros.cmake for custom target "htmlhandbook"
  # and kmymoney2/doc/en/Makefile.am on how one could do that
ENDIF(USE_HTML_HANDBOOK)

######################### The Actual Targets ##########################
ADD_SUBDIRECTORY( libkgpgfile )
ADD_SUBDIRECTORY( libkdchart )
ADD_SUBDIRECTORY( kmymoney )
IF (USE_DEVELOPER_DOC)
  ADD_SUBDIRECTORY( developer-doc )
ENDIF (USE_DEVELOPER_DOC)
ADD_SUBDIRECTORY( doc )

#CONFIGURE_FILE(
#  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
#  "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
#  IMMEDIATE @ONLY)

#ADD_CUSTOM_TARGET(uninstall
#  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# by default, the package name is kmymoney
SET(CPACK_PACKAGE_NAME "kmymoney")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Personal Finance Manager")
SET(CPACK_PACKAGE_VERSION_MAJOR  ${VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR  ${VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH  ${VERSION_PATCH})
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "/opt/kde4")

# When building with 'make package', use these cpack generators
SET(CPACK_GENERATOR "TGZ" "TBZ2")
# When building with 'make package_source', use these cpack generators
SET(CPACK_SOURCE_GENERATOR "TGZ" "TBZ2")

# don't include files matching these into the source packages
# (Note: all other files in the source directory will be included)
SET(CPACK_SOURCE_IGNORE_FILES
  "${CMAKE_CURRENT_BINARY_DIR}" # the build directory. MUST build out-of-source!
  "/CVS/"      # cvs directories
  "/\\\\."     # all files starting with '.' (this includes .cvsignore files)
  "~$"         # all files ending in '~'
  "\\\\.m4$"   # since this is a cmake dist, we remove automake files
  "\\\\.m4\\\\.in$" "\\\\.am$" "Makefile\\\\.dist" "configure\\\\.in"
  )
# This will create the cpack configuration files.
INCLUDE(CPack)

##### RPM Setup (.rpm and .srpm) #####
# We use cmake/modules/UseRPMTools.cmake for RPM creation
INCLUDE(UseRPMTools)
IF(RPMTools_FOUND)
  SET(RPM_VERSION_SUFFIX  ${VERSION_SUFFIX})
  IF(${RPM_VERSION_SUFFIX} MATCHES "-.*")

=== developer-doc/CMakeLists.txt ===
ADD_SUBDIRECTORY(phb)

=== doc/CMakeLists.txt ===
KDE4_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmymoney)
KDE4_CREATE_MANPAGE(man-kmymoney.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== kmymoney/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${LIBALKIMIA_INCLUDE_DIR} )

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${KDEPIMLIBS_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_BINARY_DIR}/dialogs/
                    ${CMAKE_CURRENT_SOURCE_DIR}/widgets/
                    ${CMAKE_CURRENT_BINARY_DIR}/widgets/
                    ${CMAKE_CURRENT_SOURCE_DIR}/mymoney/
                    ${CMAKE_CURRENT_SOURCE_DIR}/mymoney/storage/
                    ${CMAKE_CURRENT_SOURCE_DIR}/plugins/
                    ${CMAKE_CURRENT_SOURCE_DIR}/views/
                    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/
                    ${CMAKE_CURRENT_SOURCE_DIR}/converter/
                    ${CMAKE_CURRENT_BINARY_DIR}/dialogs/settings/
                    ${CMAKE_CURRENT_BINARY_DIR}/mymoney/storage/
                    ${CMAKE_CURRENT_SOURCE_DIR}/reports/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/endingbalancedlg/
                    ${CMAKE_CURRENT_BINARY_DIR}/wizards/endingbalancedlg/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/newinvestmentwizard/
                    ${CMAKE_CURRENT_BINARY_DIR}/wizards/newinvestmentwizard/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/newloanwizard/
                    ${CMAKE_CURRENT_BINARY_DIR}/wizards/newloanwizard/
                    ${CMAKE_CURRENT_SOURCE_DIR}/wizards/wizardpages/
                    ${CMAKE_CURRENT_SOURCE_DIR}/models/
                    ${CMAKE_CURRENT_BINARY_DIR}/models/
                    ${KMyMoney_SOURCE_DIR}/libkgpgfile/
                    ${KMyMoney_SOURCE_DIR}/libkdchart/include )

ADD_SUBDIRECTORY( mymoney )
ADD_SUBDIRECTORY( models  )
ADD_SUBDIRECTORY( plugins )
ADD_SUBDIRECTORY( reports )
ADD_SUBDIRECTORY( widgets )
ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( views )
ADD_SUBDIRECTORY( converter )
ADD_SUBDIRECTORY( wizards )
ADD_SUBDIRECTORY( pics )
ADD_SUBDIRECTORY( html )
ADD_SUBDIRECTORY( templates )
ADD_SUBDIRECTORY( misc )

SET( _HEADERS kmymoneyutils.h kmymoneyglobalsettings.h )

########### settings code (kmm_config) STATIC ###############
SET( kmm_config_SRCS kmymoneyglobalsettings.cpp )
KDE4_ADD_KCFG_FILES( kmm_config_SRCS kmymoneysettings.kcfgc )
KDE4_ADD_LIBRARY(kmm_config STATIC ${kmm_config_SRCS})

########### common code (kmymoney_common) STATIC ###############
# will be linked into kmymoney, kmymoneytest, and libkmymoney.so

SET( kmymoney_common_SRCS kmymoneyutils.cpp kstartuplogo.cpp )
KDE4_ADD_LIBRARY(kmymoney_common STATIC ${kmymoney_common_SRCS})
TARGET_LINK_LIBRARIES(kmymoney_common
  ${QT_AND_KDECORE_LIBS} ${KDEPIMLIBS_KHOLIDAYS_LIBS} ${GMP_LIBRARIES} ${LIBALKIMIA_LIBRARY} kmm_widgets kmm_mymoney)

# must build kmymoney/transactionsortoption.h
# from transactionsortoption.ui first
ADD_DEPENDENCIES(kmymoney_common generate_base_ui_srcs kmm_config)

SET( kmymoney_common_LIBS
  views reports kmymoney_base kmymoney_common
  newuserwizard newaccountwizard newinvestmentwizard newloanwizard
  endingbalancedlg wizardpages
  dialogs widgets settings converter models kmm_config
  kmm_storage kmm_mymoney kgpgfile interfaces kmm_plugin dialogs kmm_kdchart
  ${QT_AND_KDECORE_LIBS} ${QT_QTSQL_LIBRARY}
  ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KABC_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KUTILS_LIBRARY})

########### kmymoney executable ###############

SET( kmymoney_SRCS main.cpp kmymoney.cpp )

QT4_ADD_DBUS_ADAPTOR(kmymoney_SRCS org.kde.kmymoney.xml kmymoney.h KMyMoneyApp)
KDE4_ADD_APP_ICON( kmymoney_SRCS hi*-app-kmymoney.png )

KDE4_ADD_EXECUTABLE( kmymoney ${kmymoney_SRCS} )
TARGET_LINK_LIBRARIES( kmymoney ${kmymoney_common_LIBS} )

########### install files ###############

INSTALL(TARGETS kmymoney ${INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(FILES kmymoney.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
  )
INSTALL(FILES kmymoneyui.rc tips
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney
  )
INSTALL(FILES ${_HEADERS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
  )
INSTALL(PROGRAMS kmymoney.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
  )

INSTALL(FILES x-kmymoney.xml
  DESTINATION ${XDG_MIME_INSTALL_DIR})

UPDATE_XDG_MIMETYPES(${XDG_MIME_INSTALL_DIR})

########## Application Icons #############
INSTALL(DIRECTORY icons/oxygen
  DESTINATION ${DATA_INSTALL_DIR}/kmymoney/icons
  PATTERN "*Make*" EXCLUDE
  PATTERN ".svn" EXCLUDE
  )
INSTALL(FILES hi16-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/16x16/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_16x16.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/16x16/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi32-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/32x32/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_22x22.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/22x22/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES mimetype_kmy_32x32.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/32x32/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi48-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/48x48/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_48x48.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/48x48/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi64-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/64x64/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_64x64.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/64x64/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES hi128-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/128x128/apps
  RENAME kmymoney.png
  )
INSTALL(FILES mimetype_kmy_128x128.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/128x128/mimetypes
  RENAME kmy.png
  )
INSTALL(FILES lo16-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/locolor/16x16/apps
  RENAME kmymoney.png
  )
INSTALL(FILES lo32-app-kmymoney.png
  DESTINATION ${ICON_INSTALL_DIR}/locolor/32x32/apps
  RENAME kmymoney.png
  )

############## tests ####################
IF( KDE4_BUILD_TESTS )

  SET(target_link_libraries_test
	widgets
	kmm_mymoney
	kmymoney_common
	dialogs
	widgets
	kmm_config
	${KDE4_KHTML_LIBS}
	${KDE4_KDEUI_LIBS}
	${KDE4_KABC_LIBS}
	${KDE4_KFILE_LIBS}
	${KDE4_KUTILS_LIBRARY}
        ${QT_QTGUI_LIBRARY}
        ${QT_QTXML_LIBRARY}
        ${QT_QTCORE_LIBRARY}
	${QT_QTSQL_LIBRARY}
        ${QT_QTTEST_LIBRARY}
        ${GMP_LIBRARIES}
        ${LIBALKIMIA_LIBRARY})

  # KMyMoneyUtils
  SET( kmymoneyutilstest_SRCS kmymoneyutilstest.cpp )

  KDE4_ADD_UNIT_TEST( kmymoneyutilstest TESTNAME kmymoney-utilstest ${kmymoneyutilstest_SRCS} )
  ADD_DEPENDENCIES( kmymoneyutilstest kmymoney_common kmm_mymoney )
  TARGET_LINK_LIBRARIES( kmymoneyutilstest ${target_link_libraries_test})

ENDIF( KDE4_BUILD_TESTS )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( ms )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== kmymoney/converter/CMakeLists.txt ===
SET (libconverter_a_SOURCES
	mymoneygncreader.cpp
	mymoneyqifprofile.cpp
	mymoneyqifreader.cpp
	mymoneyqifwriter.cpp
	mymoneystatementreader.cpp
	mymoneytemplate.cpp
	webpricequote.cpp
	)

KDE4_ADD_LIBRARY(converter STATIC ${libconverter_a_SOURCES})

# we rely on some dialogs to be generated
ADD_DEPENDENCIES(converter dialogs)

########### install files ###############

INSTALL(FILES mymoneytemplate.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

############## tests ####################
IF( KDE4_BUILD_TESTS )

  set( convertertest_SRCS convertertest.cpp ../reports/reportstestcommon.cpp )

  kde4_add_unit_test( convertertest TESTNAME kmymoney-convertertest ${convertertest_SRCS} )

  target_link_libraries( convertertest converter kmymoney_base kmymoney_common kmm_storage ${QT_AND_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY} )

ENDIF( KDE4_BUILD_TESTS )

=== kmymoney/misc/CMakeLists.txt ===
INSTALL(PROGRAMS financequote.pl
	      DESTINATION ${DATA_INSTALL_DIR}/kmymoney/misc)

=== kmymoney/models/CMakeLists.txt ===
SET(libmodels_a_SOURCES
    accountsmodel.cpp
    models.cpp
   )

KDE4_ADD_LIBRARY(models STATIC ${libmodels_a_SOURCES})

ADD_DEPENDENCIES(models kmm_config)

=== kmymoney/mymoney/CMakeLists.txt ===
ADD_SUBDIRECTORY( storage )

########### next target ###############

SET(kmm_mymoney_LIB_SRCS
  mymoneymoney.cpp mymoneyfinancialcalculator.cpp 
  mymoneytransactionfilter.cpp
  mymoneyobject.cpp mymoneykeyvaluecontainer.cpp 
  mymoneysplit.cpp mymoneyinstitution.cpp
  mymoneyexception.cpp mymoneyinvesttransaction.cpp mymoneyutils.cpp
  mymoneysecurity.cpp mymoneytransaction.cpp mymoneyscheduled.cpp
  mymoneypayee.cpp 
  mymoneyfile.cpp 
  mymoneycategory.cpp 
  mymoneyaccount.cpp
  mymoneyreport.cpp mymoneystatement.cpp mymoneyprice.cpp mymoneybudget.cpp
  mymoneyobjectcontainer.cpp 
  mymoneyforecast.cpp
  mymoneybalancecache.cpp
  )


SET(mymoney_HEADERS kmm_mymoney_export.h
  mymoneyobject.h mymoneyaccount.h mymoneycategory.h mymoneyexception.h
  mymoneyfile.h mymoneyfinancialcalculator.h mymoneyinstitution.h
  mymoneyinvesttransaction.h mymoneykeyvaluecontainer.h mymoneymoney.h
  mymoneypayee.h mymoneyprice.h mymoneyreport.h
  mymoneyscheduled.h mymoneysecurity.h mymoneysplit.h mymoneystatement.h
  mymoneytransactionfilter.h mymoneytransaction.h
  mymoneyutils.h mymoneybudget.h mymoneyobjectcontainer.h mymoneyforecast.h
  imymoneyprocessingcalendar.h
  )

KDE4_ADD_LIBRARY(kmm_mymoney SHARED 
	${kmm_mymoney_LIB_SRCS})

TARGET_LINK_LIBRARIES(kmm_mymoney
                      ${KDE4_KDEUI_LIBS}
                      ${QT_QTGUI_LIBRARY}
                      ${QT_QTXML_LIBRARY}
                      ${QT_QTCORE_LIBRARY}
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${GMP_LIBRARIES}
                      ${LIBALKIMIA_LIBRARY}
                      kmm_storage)

SET_TARGET_PROPERTIES(kmm_mymoney PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

########### install files ###############

INSTALL(TARGETS kmm_mymoney
	${INSTALL_TARGETS_DEFAULT_ARGS} )

INSTALL(FILES ${mymoney_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

############## tests ####################
IF( KDE4_BUILD_TESTS )

  set(target_link_libraries_test 
	  ${QT_QTGUI_LIBRARY}
	  ${QT_QTXML_LIBRARY}
 	  ${QT_QTCORE_LIBRARY}
	  ${QT_QTTEST_LIBRARY}
	  ${GMP_LIBRARIES}
	  ${LIBALKIMIA_LIBRARY})

  # MyMoneyAccount
  set( mymoneyaccounttest_SRCS mymoneyaccounttest.cpp )

  kde4_add_unit_test( mymoneyaccounttest TESTNAME kmymoney-mymoneyaccounttest ${mymoneyaccounttest_SRCS} )
  ADD_DEPENDENCIES( mymoneyaccounttest kmm_mymoney )

  target_link_libraries( mymoneyaccounttest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyException
  set( mymoneyexceptiontest_SRCS mymoneyexceptiontest.cpp )

  kde4_add_unit_test( mymoneyexceptiontest TESTNAME kmymoney-mymoneyexceptiontest ${mymoneyexceptiontest_SRCS} )
  ADD_DEPENDENCIES( mymoneyexceptiontest kmm_mymoney )

  target_link_libraries( mymoneyexceptiontest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyFile
  set( mymoneyfiletest_SRCS mymoneyfiletest.cpp mymoneytestutils.cpp )

  kde4_add_unit_test( mymoneyfiletest TESTNAME kmymoney-mymoneyfiletest ${mymoneyfiletest_SRCS} )
  ADD_DEPENDENCIES( mymoneyfiletest kmm_mymoney kmm_storage )

  target_link_libraries( mymoneyfiletest kmm_storage kmm_mymoney ${target_link_libraries_test})

  # MyMoneyFinancialCalculatorTest
  set( mymoneyfinancialcalculatortest_SRCS mymoneyfinancialcalculatortest.cpp mymoneytestutils.cpp )

  kde4_add_unit_test( mymoneyfinancialcalculatortest TESTNAME kmymoney-mymoneyfinancialcalculatortest ${mymoneyfinancialcalculatortest_SRCS} )
  ADD_DEPENDENCIES( mymoneyfinancialcalculatortest kmm_mymoney kmm_storage )

  target_link_libraries( mymoneyfinancialcalculatortest kmm_mymoney kmm_storage ${target_link_libraries_test})

  # MyMoneyForecast
  set( mymoneyforecasttest_SRCS mymoneyforecasttest.cpp mymoneytestutils.cpp ../reports/reportstestcommon.cpp )

  kde4_add_unit_test( mymoneyforecasttest TESTNAME kmymoney-mymoneyforecasttest ${mymoneyforecasttest_SRCS} )
  ADD_DEPENDENCIES( mymoneyforecasttest kmm_mymoney kmm_storage )

  target_link_libraries( mymoneyforecasttest kmm_storage kmm_mymoney ${target_link_libraries_test})

  # MyMoneyInstitution
  set( mymoneyinstitutiontest_SRCS mymoneyinstitutiontest.cpp )

  kde4_add_unit_test( mymoneyinstitutiontest TESTNAME kmymoney-mymoneyinstitutiontest ${mymoneyinstitutiontest_SRCS} )
  ADD_DEPENDENCIES( mymoneyinstitutiontest kmm_mymoney )

  target_link_libraries( mymoneyinstitutiontest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyKeyValueContainer
  set( mymoneykeyvaluecontainertest_SRCS mymoneykeyvaluecontainertest.cpp )

  kde4_add_unit_test( mymoneykeyvaluecontainertest TESTNAME kmymoney-mymoneykeyvaluecontainertest ${mymoneykeyvaluecontainertest_SRCS} )
  ADD_DEPENDENCIES( mymoneykeyvaluecontainertest kmm_mymoney )

  target_link_libraries( mymoneykeyvaluecontainertest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyMoney
  set( mymoneymoneytest_SRCS mymoneymoneytest.cpp )

  kde4_add_unit_test( mymoneymoneytest TESTNAME kmymoney-mymoneymoneytest ${mymoneymoneytest_SRCS} )
  ADD_DEPENDENCIES( mymoneymoneytest kmm_mymoney %{${GMP_LIBRARIES})

  target_link_libraries( mymoneymoneytest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyObject
  set( mymoneyobjecttest_SRCS mymoneyobjecttest.cpp )

  kde4_add_unit_test( mymoneyobjecttest TESTNAME kmymoney-mymoneyobjecttest ${mymoneyobjecttest_SRCS} )
  ADD_DEPENDENCIES( mymoneyobjecttest kmm_mymoney )

  target_link_libraries( mymoneyobjecttest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyPayee
  set( mymoneypayeetest_SRCS mymoneypayeetest.cpp )

  kde4_add_unit_test( mymoneypayeetest TESTNAME kmymoney-mymoneypayeetest ${mymoneypayeetest_SRCS} )
  ADD_DEPENDENCIES( mymoneypayeetest kmm_mymoney )

  target_link_libraries( mymoneypayeetest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyPrice
  set( mymoneypricetest_SRCS mymoneypricetest.cpp )

  kde4_add_unit_test( mymoneypricetest TESTNAME kmymoney-mymoneypricetest ${mymoneypricetest_SRCS} )
  ADD_DEPENDENCIES( mymoneypricetest kmm_mymoney )

  target_link_libraries( mymoneypricetest kmm_mymoney ${target_link_libraries_test})

  # MyMoneySchedule
  set( mymoneyscheduletest_SRCS mymoneyscheduletest.cpp )

  kde4_add_unit_test( mymoneyscheduletest TESTNAME kmymoney-mymoneyscheduletest ${mymoneyscheduletest_SRCS} )
  ADD_DEPENDENCIES( mymoneyscheduletest kmm_mymoney )

  target_link_libraries( mymoneyscheduletest kmm_mymoney ${target_link_libraries_test})

  # MyMoneySecurity
  set( mymoneysecuritytest_SRCS mymoneysecuritytest.cpp )

  kde4_add_unit_test( mymoneysecuritytest TESTNAME kmymoney-mymoneysecuritytest ${mymoneysecuritytest_SRCS} )
  ADD_DEPENDENCIES( mymoneysecuritytest kmm_mymoney )

  target_link_libraries( mymoneysecuritytest kmm_mymoney ${target_link_libraries_test})

  # MyMoneySplit
  set( mymoneysplittest_SRCS mymoneysplittest.cpp )

  kde4_add_unit_test( mymoneysplittest TESTNAME kmymoney-mymoneysplittest ${mymoneysplittest_SRCS} )
  ADD_DEPENDENCIES( mymoneysplittest kmm_mymoney )

  target_link_libraries( mymoneysplittest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyTransaction
  set( mymoneytransactiontest_SRCS mymoneytransactiontest.cpp mymoneytestutils.cpp )

  kde4_add_unit_test( mymoneytransactiontest TESTNAME kmymoney-mymoneytransactiontest ${mymoneytransactiontest_SRCS} )
  ADD_DEPENDENCIES( mymoneytransactiontest kmm_mymoney )

  target_link_libraries( mymoneytransactiontest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyBudget
  set( mymoneybudgettest_SRCS mymoneybudgettest.cpp mymoneytestutils.cpp )

  kde4_add_unit_test( mymoneybudgettest TESTNAME kmymoney-mymoneybudgettest ${mymoneybudgettest_SRCS} )
  add_dependencies( mymoneybudgettest kmm_mymoney )

  target_link_libraries( mymoneybudgettest kmm_mymoney ${target_link_libraries_test})

  # MyMoneyBalanceCache
  set( mymoneybalancecachetest_SRCS mymoneybalancecachetest.cpp mymoneytestutils.cpp )

  kde4_add_unit_test( mymoneybalancecachetest TESTNAME kmymoney-mymoneybalancecachetest ${mymoneybalancecachetest_SRCS} )
  ADD_DEPENDENCIES( mymoneybalancecachetest kmm_mymoney )

  target_link_libraries( mymoneybalancecachetest kmm_mymoney ${target_link_libraries_test})

ENDIF( KDE4_BUILD_TESTS )

=== kmymoney/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY( interfaces )

ADD_SUBDIRECTORY( csvimport )

if(LIBOFX_FOUND)
	ADD_SUBDIRECTORY( ofximport )
endif(LIBOFX_FOUND)

IF (LIBICAL_FOUND)
  ADD_SUBDIRECTORY( icalendarexport )
ENDIF (LIBICAL_FOUND)

ADD_SUBDIRECTORY( reconciliationreport )
ADD_SUBDIRECTORY( printcheck )

IF (KBANKING_FOUND)
  ADD_SUBDIRECTORY( kbanking )
ENDIF (KBANKING_FOUND)

########### next target ###############

SET(kmm_plugin_LIB_SRCS
  importinterface.cpp 
  kmymoneyplugin.cpp 
  pluginloader.cpp
  statementinterface.cpp viewinterface.cpp)

SET(plugins_HEADERS
  importinterface.h kmymoneyplugin.h pluginloader.h
  statementinterface.h viewinterface.h kmm_plugin_export.h)

KDE4_ADD_LIBRARY(kmm_plugin SHARED ${kmm_plugin_LIB_SRCS})
TARGET_LINK_LIBRARIES(kmm_plugin ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS} ${GMP_LIBRARIES} ${LIBALKIMIA_LIBRARY})

SET_TARGET_PROPERTIES(kmm_plugin PROPERTIES VERSION ${GENERIC_LIB_VERSION}  SOVERSION ${GENERIC_LIB_SOVERSION} )

########### install files ###############

INSTALL(TARGETS kmm_plugin 
	${INSTALL_TARGETS_DEFAULT_ARGS} )

INSTALL(FILES ${plugins_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney  COMPONENT Devel)

INSTALL(FILES kmymoneyplugin.desktop kmymoneyimporterplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== kmymoney/views/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${KMyMoney_SOURCE_DIR}/libkdchart/include)

############# next target (views) STATIC ###################
SET(libviews_a_SOURCES
  kaccountsview.cpp
  kbudgetview.cpp
  kcategoriesview.cpp
  kforecastview.cpp
  kgloballedgerview.cpp
  kwelcomepage.cpp
  khomeview.cpp
  kinstitutionsview.cpp
  kinvestmentview.cpp
  kmymoneyfile.cpp
  kmymoneyview.cpp
  kpayeesview.cpp
  kreportsview.cpp
  kscheduledview.cpp
  tocitem.cpp
  tocitemgroup.cpp
  tocitemreport.cpp
  kscheduletreeitem.cpp
  )

SET(libviews_a_HEADER kmymoneyview.h)

SET(libviews_a_UI
  kaccountsviewdecl.ui
  kbudgetviewdecl.ui
  kcategoriesviewdecl.ui
  kforecastviewdecl.ui
  kinstitutionsviewdecl.ui
  kinvestmentviewdecl.ui
  kpayeesviewdecl.ui
  kscheduledviewdecl.ui
  )

# The handling of these ui files depends
# on libkmymoney.so (the widgets library)
kde4_add_ui_files(libviews_a_SOURCES ${libviews_a_UI})

KDE4_ADD_LIBRARY(views STATIC ${libviews_a_SOURCES})

# we rely on some of the dialogs to be generated
ADD_DEPENDENCIES(views dialogs newinvestmentwizard newloanwizard endingbalancedlg)

########### install files ###############

INSTALL(FILES ${libviews_a_HEADER}
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney COMPONENT Devel)

=== libkdchart/src/CMakeLists.txt ===


## KDE4 includes needed for kdemacros.h
include_directories(
        ${KDE4_INCLUDES}
	${CMAKE_CURRENT_SOURCE_DIR}/../include 
	${CMAKE_CURRENT_SOURCE_DIR}/../kdablibfakes/include 
)

ADD_DEFINITIONS(-DKDCHART_BUILD_KDCHART_LIB)

########### next target ###############

set(kdchart_LIB_SRCS 
    KDChartAbstractArea.cpp
    KDChartAbstractAreaBase.cpp
    KDChartAbstractAreaWidget.cpp
    KDChartAbstractAxis.cpp
    KDChartAbstractCartesianDiagram.cpp
    KDChartAbstractCoordinatePlane.cpp
    KDChartAbstractDiagram.cpp
    KDChartAbstractGrid.cpp
    KDChartAbstractPieDiagram.cpp
    KDChartAbstractPolarDiagram.cpp
    KDChartAbstractProxyModel.cpp
    KDChartAbstractThreeDAttributes.cpp
    KDChartAttributesModel.cpp
    KDChartBackgroundAttributes.cpp
    KDChartBarAttributes.cpp
    KDChartBarDiagram.cpp
    KDChartBarDiagram_p.cpp
    KDChartCartesianAxis.cpp
    KDChartCartesianCoordinatePlane.cpp
    KDChartCartesianDiagramDataCompressor_p.cpp
    KDChartCartesianGrid.cpp
    KDChartChart.cpp
    KDChartDatasetProxyModel.cpp
    KDChartDatasetSelector.cpp
    KDChartDataValueAttributes.cpp
    KDChartDiagramObserver.cpp
    KDChartFrameAttributes.cpp
    KDChartGridAttributes.cpp
    KDChartHeaderFooter.cpp
    KDChartLayoutItems.cpp
    KDChartLegend.cpp
    KDChartLineAttributes.cpp
    KDChartLineDiagram.cpp
    KDChartLineDiagram_p.cpp
    KDChartMarkerAttributes.cpp
    KDChartMeasure.cpp
    KDChartModelDataCache_p.cpp
    KDChartNormalBarDiagram_p.cpp
    KDChartNormalLineDiagram_p.cpp
    KDChartNormalLyingBarDiagram_p.cpp
    KDChartNormalPlotter_p.cpp
    KDChartPaintContext.cpp
    KDChartPalette.cpp
    KDChartPercentBarDiagram_p.cpp
    KDChartPercentLineDiagram_p.cpp
    KDChartPercentLyingBarDiagram_p.cpp
    KDChartPercentPlotter_p.cpp
    KDChartPieAttributes.cpp
    KDChartPieDiagram.cpp
    KDChartPlotter.cpp
    KDChartPlotter_p.cpp
    KDChartPolarCoordinatePlane.cpp
    KDChartPolarDiagram.cpp
    KDChartPolarGrid.cpp
    KDChartPosition.cpp
    KDChartPrintingParameters.cpp
    KDChartRelativePosition.cpp
    KDChartRingDiagram.cpp
    KDChartRulerAttributes.cpp
    KDChartSignalCompressor.cpp
    KDChartStackedBarDiagram_p.cpp
    KDChartStackedLineDiagram_p.cpp
    KDChartStackedLyingBarDiagram_p.cpp
    KDChartStockBarAttributes.cpp
    KDChartStockDiagram.cpp
    KDChartStockDiagram_p.cpp
    KDChartTextArea.cpp
    KDChartTextAttributes.cpp
    KDChartThreeDBarAttributes.cpp
    KDChartThreeDLineAttributes.cpp
    KDChartThreeDPieAttributes.cpp
    KDChartValueTrackerAttributes.cpp
    KDChartWidget.cpp
    KDTextDocument.cpp
    LeveyJennings/KDChartLeveyJenningsAxis.cpp
    LeveyJennings/KDChartLeveyJenningsCoordinatePlane.cpp
    LeveyJennings/KDChartLeveyJenningsDiagram.cpp
    LeveyJennings/KDChartLeveyJenningsDiagram_p.cpp
    LeveyJennings/KDChartLeveyJenningsGrid.cpp
    LeveyJennings/KDChartLeveyJenningsGridAttributes.cpp
    PrerenderedElements/KDChartTextLabelCache.cpp
    Scenery/ChartGraphicsItem.cpp
    Scenery/ReverseMapper.cpp
    Ternary/KDChartAbstractTernaryDiagram.cpp
    Ternary/KDChartTernaryAxis.cpp
    Ternary/KDChartTernaryCoordinatePlane.cpp
    Ternary/KDChartTernaryGrid.cpp
    Ternary/KDChartTernaryLineDiagram.cpp
    Ternary/KDChartTernaryPointDiagram.cpp
    Ternary/TernaryConstants.cpp
    Ternary/TernaryPoint.cpp
)

qt4_wrap_ui(kdchart_LIB_SRCS
    KDChartDatasetSelector.ui
)

qt_wrap_cpp(kdchart kdchart_LIB_SRCS KDChartEnums.h)

kde4_add_library(kmm_kdchart SHARED ${kdchart_LIB_SRCS})

target_link_libraries(kmm_kdchart  ${QT_QTSVG_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${ZLIB_LIBRARY} )
SET_TARGET_PROPERTIES(kmm_kdchart PROPERTIES VERSION ${GENERIC_LIB_VERSION}
SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS kmm_kdchart  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############


#NOTHING

=== debian/changelog ===
kmymoney (4.6.4-1) unstable; urgency=low

  * New upstream release
  * Drop gmp5.patch - included upstream
  * Update debian/watch .xz
  * Fix linking problems with Gwenhywfar version >= 4.6.0 
    - Add reviewboard11672.diff (Closes: #713555)

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 16:35:49 +1100

kmymoney (4.6.3-2) unstable; urgency=low

  * Upload to unstable 
  * Update Recommends: gnupg-agent (Closes: #687184)
  * Ack NMU - Thanks Sebastian
    - Fixes "FTBFS: mymoneymoney.cpp:167:54:" (Closes: #707374) 
  * Update debian/control - vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - no further changes

 -- Mark Purcell <msp@debian.org>  Sat, 25 May 2013 09:30:26 +1000

kmymoney (4.6.2-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/gmp5.patch: Apply upstream patch to fix builds with newer
    GMP. (Closes: #707374)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 May 2013 11:09:49 +0200

=== debian/control ===
Source: kmymoney
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4), shared-mime-info,
 libaqbanking34-dev | libaqbanking-dev, libgwenhywfar60-dev | libgwenhywfar-dev, 
 libboost-graph-dev, libfinance-quote-perl, libgpgme11-dev, libalkimia-dev,
 libical-dev, libjpeg-dev, libofx-dev, libgmp-dev,
 libpng-dev, libsqlite3-dev, zlib1g-dev, pkg-config
Standards-Version: 3.9.4
Homepage: http://kmymoney2.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kmymoney2/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kmymoney2/trunk

Package: kmymoney
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kmymoney-common (= ${source:Version})
Recommends: gnupg-agent, pinentry-qt4
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney-common
Architecture: all
Depends: ${misc:Depends}
Recommends: kmymoney
Description: KMyMoney architecture independent files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney' package installed, you will hardly find this package useful.

Package: kmymoney-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, kmymoney (= ${binary:Version})
Description: KMyMoney development files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains development files needed for KMyMoney plugins.

Package: kmymoney-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kmymoney (= ${binary:Version}), ${misc:Depends}
Description: KMymoney debugging symbols
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains the debugging symbols associated with kmymoney.
 They will automatically be used by gdb for debugging kmymoney-related issues.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --list-missing --dbg-package=kmymoney-dbg --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://sf.net/kmymoney2/kmymoney-(.*)\.tar\.xz debian svn-upgrade
